const Overview = imports.ui.overview;
const Tweener = imports.ui.tweener;

let _original;

function _shadeBackgrounds()
{
    let backgrounds = this._backgroundGroup.get_children();
    for (let i = 0; i < backgrounds.length; i++)
        Tweener.addTween(backgrounds[i], {brightness: 1.0,
                                          vignette_sharpness: 0.0,
                                          time: Overview.SHADE_ANIMATION_TIME,
                                          transition: 'easeOutQuad'});
}

function enable()
{
    _original = Overview.Overview.prototype._shadeBackgrounds;
    Overview.Overview.prototype._shadeBackgrounds = _shadeBackgrounds;
}

function disable()
{
    Overview.Overview.prototype._shadeBackgrounds = _original;
}
